# Render Toolbox

Blender addon for rendering setup and checks

## Development
### Cloning
1. Create a development directory, such as:
    ```sh
   /home/<USER>/dev
   ```
2. Clone the repository with the following command:
    ```sh
   git clone ssh://git@git.autourdeminuit.com:222/autour_de_minuit/git_template.git
   ```

### Branches
The main branch is **master**.
It is a **protected branch** that only user with the `Owner` role can push to.

To contribute to this repository, you will have to create you own development branch, and then create a Pull Request. After at least **one validation**, you will be able to merge your changes.

Branches should be named in `kebab-case`, and can be grouped using `/`.

Examples: `bug/fix-crash-on-startup`, `bug/fix-font`, `feature/new-colors`, `theme-logic-refactor`, etc...
