import bpy

from bpy.types import Panel


class RT_PT_gp_node_ui(Panel):
    bl_space_type = "NODE_EDITOR"
    bl_region_type = "UI"
    bl_category = "Render"
    bl_label = "Render Toolbox"

    def draw(self, context):
        layout = self.layout
        layout.operator("rt.connect_selected_to_file_out", icon="NODE")


classes = (
RT_PT_gp_node_ui,
)

def register():
    for cls in classes:
        bpy.utils.register_class(cls)

def unregister():
    for cls in reversed(classes):
        bpy.utils.unregister_class(cls)